package cn.efunbox.audio.clients;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by yao on 17-10-25.
 */
@Service
public class AudioHttp {

    @Value("${iaas.resource.search}")
    private  String urlResource;
    @Value("${iaas.resource.searchNo}")
    private  String urlResourceNo;
    @Value("${iaas.resource.searchName}")
    private  String urlResourceName;

    public String SearchByIdResource(String idResource) {
        RestTemplate restTemplate = new RestTemplate();
        return restTemplate.getForEntity(urlResource+idResource, String.class).getBody();
    }

    public String SearchByIdNo(String idNo) {
        RestTemplate restTemplate = new RestTemplate();
//        System.out.println(urlResourceNo+idNo);
        return restTemplate.getForEntity(urlResourceNo+idNo, String.class).getBody();
    }

    public String SearchByName(String title, int type, int page, int size) {
        RestTemplate restTemplate = new RestTemplate();
        String url = urlResourceName+"?title="+title+"&type="+type+"&pageNum="+page+"&pageSize="+size;
        System.out.println(url);
        return restTemplate.getForEntity(url, String.class).getBody();
    }

}
